For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Basic authentication of the form Basic <base64(username:password)>.
Query parameters
limitintegerOptional>=0Defaults to 25
Number of results to return. Used for pagination.
skipintegerOptional>=0Defaults to 0
Number of results to skip. Used for pagination.
orderenumOptionalDefaults to 1
Sort direction, 1 for ascending and -1 for descending.
Allowed values:
sortenumOptionalDefaults to name
Field to sort by
Allowed values:
exclude-project-membersbooleanOptional
Flag which removes workflows from the results which are members of a project
includestringOptional
Inclusive projection operator formatted as a comma-delineated list. ‘_id’ will be included implicitly unless excluded with ‘exclude=_id’. May only be used in conjunction with ‘exclude’ when ‘exclude=_id’.
excludestringOptional
Exclusive projection operator formatted as a comma-delineated list. May only be used in conjunction with ‘include’ when ‘exclude=_id’.
instringOptional
Search for fields exactly matching one of the given list options
not-instringOptional
Search for fields not exactly matching one of the given list options
equalsstringOptional
Returns results where the specified fields exactly match the given match string(s).
containsstringOptional
Returns results where the specified fields contain the given match string(s).
starts-withstringOptional
Returns results where the specified fields start with the given match string(s).
ends-withstringOptional
Returns results where the specified fields end in the given match string(s).
Response
Results for the given search parameters.
itemslist of objectsOptional
totalintegerOptional
Total number of documents matching the given query parameters.
startintegerOptional
Search index of first document in the items array.
endintegerOptional
Search index of the last document in the items array.
countintegerOptional
Length of the items array.
nextstring or nullOptional
URI pointing to the next set of paginated results. Preserves previous search and projection parameters. Null if returning the last page of results.
previousstring or nullOptional
URI pointing to the previous set of paginated results. Preserves previous search and projection parameters. Null if returning the first page of results.